*14.04ではうまく行かない [#gAgTkGY]
#author("2018-03-13T08:01:44+09:00","default:regex","regex")
*14.04ではうまく行かない [#yd93c2bd]
下をご覧ください。~
&ref(./pc3.jpg);~
 Ubuntu14.04(64bit)でうまく行きましたので、報告いたします。~
 [[Moebuntu wiki:http://moebuntu.wiki.fc2.com/wiki/Audacious%E3%81%AE%E8%90%8C%E3%81%88%E5%8C%96]]どおり行けばいいのですが、14.04になってからうまく行きません。~
 やや乱暴な方法ですが、やってみたことをちょっとだけ整理しました。~
*libの揃え方 [#7eDkrsN]
*libの揃え方 [#b591714e]
まず、必要なライブラリをgetします。~
 sudo apt-get install dh-make cdbs devscripts fakeroot lintian checkinstall dpatch quilt
 sudo apt-get install libjack-dev libcddb2-dev
 libmcs-devが、14.04ではパッケージ一覧に入っていません。探してダウンロードしましょう。~
[[Binary package “libmcs-dev” in ubuntu trusty:https://launchpad.net/ubuntu/trusty/+package/libmcs-dev]]ここのようです。Published versionsのlibmcs1 0.7.2-3 in amd64 (Release)を押し、バイナリをダウンロードしましょう。~
さて、さらに~
 Depends on:
 libmcs1 (= 0.7.2-3)
 というわけで、さらに検索。(注意:そのままlibmcsを押すとなぜかRaring (13.04)→amd64→libmcs1バイナリに飛ばされるので、面倒ですが再検索しましょう。)~
[[Binary package “libmcs1” in ubuntu trusty:https://launchpad.net/ubuntu/trusty/+package/libmcs1]]ここのようです。同様に64bitバージョンをインストールしましょう。~
 Depends on:
     libc6 (>= 2.14)
     libmowgli2 (>= 1.0.0)
が最後に残りますが、libcはcのおおもとのライブラリなので入れなくてよいのですが、libmowgli2はパッケージ一覧にありますのでsynaptic(synaptic自体をインストールする必要があるかもしれません)を使ってインストールしましょう。~
ここまでくれば、
 dpkg -i libmcs1_0.7.2-3_amd64.deb
 dpkg -i libmcs-dev_0.7.2-3_amd64.deb
で、ようやく、libmcs-dev問題は解決です。
* 流用 [#Zu4PiJ6]
* 流用 [#d54ece65]
 使えるところは流用しましょう。
ソースのダウンロードと、パッチまでは動きますので、~
 [[Moebuntu wiki:http://moebuntu.wiki.fc2.com/wiki/Audacious%E3%81%AE%E8%90%8C%E3%81%88%E5%8C%96]]の、audacious-3.5-alpha1-debpack.tar.gzをクリック、保存(保存先はデフォルトで~/ダウンロードと思います。)。~
 nautilus等で、ダウンロードフォルダをダブルクリック、audacious-3.5-alpha1-debpack.tar.gzをクリック、そのまま右クリックで「ここに展開する」します。そこで、端末を立ち上げて、
 cd ダウンロード/audacious-3.5-alpha1-debpack
 sh debpak.sh
audacious-3.5-alpha1のソースを読み込み、パッチを当てて、debを作ろうとしますが失敗します。~
 ここで、ほしいのは、
 audacious-3.5-alpha1-debpack/tmp/配下のaudacious-3.5-alpha1とaudacious-plugins-3.5-alpha1です。
*本体コンパイル [#4jzMcWC]
*本体コンパイル [#te2b2a42]
 cd audacious-3.5-alpha1
 sudo apt-get build-dep audacious
 TPUT=/bin/true ./configure --prefix=/usr
 make
ここまでで、エラーが無ければコンパイル成功です。~
 sudo make install
 インストールしておきます。(pluginのために)~
*pluginコンパイル [#cQh3zIJ]
*pluginコンパイル [#af0741d4]
 cd ../audacious-plugins-3.5-alpha1
 sudo apt-get build-dep audacious-plugins
 TPUT=/bin/true ./configure --prefix=/usr
 make
ここまでで、エラーが無ければコンパイル成功です。~
 sudo make install
 インストールします。
*menuなどの整理 [#1gYBxLi]
*menuなどの整理 [#y6f8bc67]
 gtk-update-icon-cache && update-desktop-database
 をかけておくといいと思います。
*テスト [#I3rHbNJ]
*テスト [#w8c3f550]
 端末でaudaciousと打ってみて、起ちあがればOKです。


~


トップ   編集 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS